
mat=read.delim("PMatrix.txt")
dim(mat)

# compute a vector with the probability of the nucleotide being in a binding
# site (summed over all its states) 
bsp <- 1-mat$END-mat$BEGIN-mat$BG
boxplot(bsp)

# plot the profile  
plot( 1:length(bsp), bsp, col="blue",type="l")
# sequence separators
lines( 1:length(bsp), mat$BEGIN, col="green",type="l")

# select positions above cutoff
cutoff <- 0.9
sel <- which(bsp>cutoff)
#cbind(mat[sel,c(1,2,3)], bsp[sel])
# sequence ends
lines( 1:length(bsp), mat$END, col="red",type="l")

mat2<-mat[sel,4:27 ]
k<-0
for (pos in sel)
{
k<-k+1
mm <- max(mat2[k,])
tt <- colnames(mat2)[which(mat2[k,]== mm)]
ss <- as.character(mat$SEQ[pos])
cat ("pos=",pos,"  seq=" , ss ,"  max state=",tt,
"  maxP=", mm,  " bsp=", bsp[pos], "\n")
}

postscript("NameOfFigureFile.ps")
plot( 1:length(bsp), bsp, col="blue",type="l")
lines( 1:length(bsp), mat$BEGIN, col="green",type="l")
dev.off()   

